/*
 * Copyright (c) 2003, 2004 Sendmail, Inc. and its suppliers.
 *      All rights reserved.
 *
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENSE file which can be found at the top level of
 * the sendmail distribution.
 *
 *	$Id: edbfs.h,v 1.3 2004/12/26 04:08:55 ca Exp $
 */

#ifndef SM_EDBFS_H
#define SM_EDBFS_H	1

#include "sm/generic.h"
#include "sm/fs.h"

typedef struct edb_fsctx_S	edb_fsctx_T, *edb_fsctx_P;

extern sm_ret_T	 edb_fsctx_open(fs_ctx_P fs_ctx, edb_fsctx_P *_pedb_fsctx, ulong *pkbfree);
extern sm_ret_T	 edb_fsctx_close(edb_fsctx_P _edb_fsctx);
extern sm_ret_T	 edb_fs_getfree(edb_fsctx_P _edb_fsctx, ulong *_pkbfree);

#endif /* SM_EDBFS_H */
