/*
 * Copyright (c) 2004, 2005 Sendmail, Inc. and its suppliers.
 *      All rights reserved.
 *
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENSE file which can be found at the top level of
 * the sendmail distribution.
 *
 *	$Id: smardef.h,v 1.4 2005/04/28 06:06:47 ca Exp $
 */

#ifndef SM_SMARDEF_H
#define SM_SMARDEF_H 1

#define SMAR_CNF_MINTHR	2
#define SMAR_CNF_MAXTHR	16
#define SMAR_CNF_MAXFD	10

/* default for address delimiter */
#define SM_ADDR_DELIM	((uchar) '+')

#define SMAR_MT_TYPE	"bhtable"
#define SMAR_MT_NAME	"mt"

#define SMAR_ALIASES_TYPE	"hash"
#define SMAR_ALIASES_NAME	"aliases"
#define SMAR_ALIASES_FILE	"aliases.db"

#define SMAR_ACCESS_TYPE	"hash"
#define SMAR_ACCESS_NAME	"access"
#define SMAR_ACCESS_FILE	"access.db"

#endif /* SM_SMARDEF_H */
